Subject: Re: ypserv(8) stops working on 4.99.25 kernel
To: None <>
From: Sarton O'Brien <>
List: current-users
Date: 07/30/2007 09:53:03
On Sun, 29 Jul 2007 02:43:50 pm Izumi Tsutsui wrote:
> I've upgrade a kernel on my server (i386) from 4.99.20 (around June 20)
> to yesterday's 4.99.25, but after that ypserv(8) (both old 4.99.20
> and new 4.99.25 binaries) seems to stop working.
> ypserv(8) is started via rc.d(8) normally, but it doesn't
> respond any requests from ypbind(8) even from localhost.
> ypserv -l (logging requests) option just says
> "domain_nonack_2: request from localhost, domain foo, served TRUE"
> Does anyone see the similar problem?
> ---
> Izumi Tsutsui


I got up to compiling strace from pkgsrc but the package was broken. I did a 
send-pr but nothing since. I also meant to try an older kernel but I'm 
already pretty sure that will work as I believe I merely upgraded the kernel 
in the first place, and _then_ tried replacing userland.

Apparently by using ypset you can force association but I haven't tried.